%define git git20110204

Summary:	Manage desktop session autostarts
Name:     	lxsession-edit
Version:	0.2.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Other
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version-%git.tar.gz
URL:		http://lxde.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	intltool

Requires:	lxsession

%description
lxsession-edit is a tool used to manage desktop session autostarts,
especially for lxsession.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=preferences-other
Terminal=false
Type=Application
Categories=X-Mageia-CrossDesktop;Settings;DesktopSettings;
EOF
rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop

%{find_lang} %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Wed Jan 18 2012 obgr_seneca <obgr_seneca> 0.2.0-2.mga2
+ Revision: 197891
- added Requires for lxsession
- added desktop file

* Tue Feb 08 2011 ahmad <ahmad> 0.2.0-1.mga1
+ Revision: 48908
- ship a git snapshot so that it works with the new config file format
- imported package lxsession-edit


* Fri Jul 10 2009 Funda Wang <fwang@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 394050
- new version 0.1.1

* Fri Dec 05 2008 Funda Wang <fwang@mandriva.org> 0.1-1mdv2009.1
+ Revision: 310149
- import lxsession-edit


